A valid request URL is required to generate request examples{
"assigned": [
{
"card_type": "INDIVIDUAL",
"card_definition_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}
],
"unassigned": [
{
"card_type": "INDIVIDUAL",
"card_definition_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}
]
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}Batch assign/unassign card definitions
⚠️ BETA endpoint
This is a work-in-progress documentation of a BETA endpoint. The parameters, fields, request and response bodies, and other data may subject to change. If you want to share feedback or improvements, contact Voucherify support or your Technical Account Manager.
Assigns and/or unassigns card definitions to/from a program in a single batch.
Unassign operations are processed before assign operations.
The program must be in DRAFT status - otherwise the request is rejected with
423 Locked (key non_draft_program). In strict mode (default) missing card
definitions, inactive card definitions or missing assignments cause the whole
batch to fail.
A valid request URL is required to generate request examples{
"assigned": [
{
"card_type": "INDIVIDUAL",
"card_definition_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}
],
"unassigned": [
{
"card_type": "INDIVIDUAL",
"card_definition_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}
]
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique program identifier.
^lprg_[a-f0-9]+$Body
Batch of card definition assignment operations. unassign operations are processed
before assign operations. Duplicate ids within a batch are rejected.
Response
Batch processing result.
Result of a card definition assignment batch. Keys are null when the corresponding operation list was not provided.
Was this page helpful?

